<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Calendar
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined("JPATH_PLATFORM") or die;

jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

class JFormFieldNobosslistcategory extends JFormFieldList
{

	protected $type = "nobosslistcategory";

	protected function getOptions(){
		// Gera um option com o valo selecionado
		$option[] = JHtml::_('select.option', $this->value, $this->value);
		$option[0]->selected = true;

		// Merge any additional options in the XML definition.
		$options = array_merge(parent::getOptions(), $option);

		return $options;
    }
}
